function [ ipaddress ] = getLocalIP()
%GETLOCALIP returns the ipaddress of the current windows machine
    [status,result]=system('ipconfig');
    if ~(status == 0)
        error('Failed to find local IP address');
    end
    [startIndex,endIndex] = regexp(result,'(?<=\n   IPv4 Address[ \.]*: )([0-9]{1,3}\.?){4}');
    if isempty(startIndex)
        error('Failed to find local IP address');
    end
    for i = 1:length(startIndex)
        ipaddress{i} = result(startIndex(i):endIndex(i));
    end
end

